#{extends 'borderNG.html' /}

        <ol class="breadcrumb" style="background-color: #d9534f !important;">
            <li><a href="@{BerandaCtr.index()}">Paket Non Tender PPK</a></li>
            <li class="active">e-Kontrak</li>
        </ol>
<div class="content">
    #{alert /}
        <table id="tblsppbj" class="table table-sm">
            <thead>
            <tr>
                <th>Nomor</th>
                <th>Tanggal</th>
                <th>Penyedia</th>
                #{if metode.label == PENUNJUKAN_LANGSUNG}
                <th>Kontrak</th>
                #{/if}
                #{else metode.label == PENGADAAN_LANGSUNG}
                <th>SPK</th>
                #{/else}
                <th>Harga Kontrak</th>
                <th>SSKK</th>
                <th>SPMK/SPP</th>

                <th>Pembayaran</th>
            *{<th>Penilaian</th>}*
                <th>Dokumen Lain</th>
            </tr>
            </thead>
        </table>
        #{if allowCreateSppbj}
            <a class="btn btn-success" href="@{kontrak.SppbjPlCtr.sppbjPpkPl(pl.lls_id)}">Buat SPPBJ</a>
        #{/if}
        <a href="@{BerandaCtr.nonLelang()}"  class="btn btn-secondary">  Kembali</a>
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
<script type="text/javascript">
    var viewSppbj  = #{jsRoute @kontrak.SppbjPlCtr.sppbjPpkPl(pl.lls_id, ':id') /};
    var viewSuratPerjanjian  = #{jsRoute @kontrak.SuratPerjanjianPlCtr.suratPerjanjianPpkPl(':sppbj_id') /};
    var viewPesanan= #{jsRoute @kontrak.SppPlCtr.suratPesananPpkPl(':id') /};
    var viewSPMK  = #{jsRoute @kontrak.SppPlCtr.spmkPl(':id') /};;
    var viewSPK  = #{jsRoute @kontrak.SppPlCtr.spkPl(':id') /};
    var viewSskk  = #{jsRoute @kontrak.SskkPlCtr.pilihCaraPembayaran(':id') /};
    var viewPembayaran  = #{jsRoute @kontrak.PembayaranPlCtr.daftarPembayaranPl(':id') /};
    var penilaian_sikap  = #{jsRoute @nonlelang.EvaluasiPLCtr.penilaian_sikap(':id') /};
    var viewDokumenLainnya = #{jsRoute @kontrak.SppPlCtr.dokumenLainnyaPl(':id') /};

    var table = $("#tblsppbj").DataTable({
        order: [[0, "desc"]],
        ajax: "@{DataTableCtr.ppkSppbjPl(pl.lls_id)}",
        columns: [
            {render: function(data, type, row) {
                var id = row[3];
                return '<u><a href="'+viewSppbj.url({id:id})+'"">'+row[0] + '</a></u>';
            }},
            null,
            null,
            {orderable:false,render: function(data, type, row) {
                var id = row[3];
                #{if metode.label == PENUNJUKAN_LANGSUNG}
                return '<a href="'+viewSuratPerjanjian.url({sppbj_id:id})+'" class="btn-sm btn-secondary">Kontrak</a>';
                #{/if}
                #{else metode.label == PENGADAAN_LANGSUNG}
                return '<a href="'+viewSPK.url({id:id})+'" class="btn btn-sm btn-secondary">SPK</a>';
                #{/else }
            }},
             {orderable:false},
            {orderable:false,render: function(data, type, row) {
			var kontrakId = row[6];
			if(kontrakId == null) {
				return '<a href="javascript:void(0)" disabled="disabled" class="btn btn-sm btn-secondary">SSKK</a>';
			}
		 	var id = row[3];
			return '<a href="'+viewSskk.url({id:id})+'" class="btn btn-sm btn-secondary dialog">SSKK</a>';
		}},
            {orderable:false,render: function(data, type, row) {
                var isBarang = row[5] == '0'
                var sskk_content = row[7];
			    if(sskk_content === null || sskk_content === '') {
                return isBarang ? '<a href="javascript:void(0)" disabled="disabled" class="btn btn-sm btn-secondary disabled">Surat Pesanan</a>' : '<a href="javascript:void(0)" disabled="disabled" class=" btn-secondary">SPMK</a>';

                }
                var id = row[3];
                return isBarang ? '<a href="'+viewPesanan.url({id:id})+'" class="btn btn-sm btn-secondary">Surat Pesanan Pengiriman</a>' : '<a href="'+viewSPMK.url({id:id})+'" class="btn btn-sm btn-secondary">SPMK</a>';
            }},
            {orderable:false,render: function(data, type, row) {
                var id = row[6];
                var pes_id = row[8];
			    if(pes_id == null) {
                    return '<a href="javascript:void(0)" disabled="disabled" class="btn btn-sm btn-secondary disabled">Pembayaran</a>';
                }
                return '<a href="'+viewPembayaran.url({id:id})+'" class="btn btn-sm btn-secondary">Pembayaran</a>';
            }},
            {orderable:false,render: function(data, type, row) {
                var id = ${pl.lls_id};
                var kontrakId = row[6];
                if(kontrakId == null) {
                    return '<a href="javascript:void(0)" disabled="disabled" class="btn btn-sm btn-secondary disabled">Dokumen Lainnya</a>';
                }
                return '<a href="'+viewDokumenLainnya.url({id:id})+'" class="btn btn-sm btn-secondary">Dokumen Lainnya</a>';
            }}//,
// 		{orderable:false,render: function(data, type, row) {
// 		 	var id = row[4];
// 			return '<a href="'+penilaian_sikap.url({id:id})+'" class="btn btn-sm btn-secondary">Buat</a>';
// 		}}
        ]
    });
    $('#tblsppbj_filter input').unbind();
    $('#tblsppbj_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
        }
    });

    $(document).on('click', '#fileupload', function(){
    var url = '@{kontrak.SskkPlCtr.uploadSskkSubmit(pl.lls_id)}';
	console.log($('#alert-upload'));
    $('#fileupload').fileupload({
        url: url,
        dataType: 'json',
        acceptFileTypes: /(\.|\/)(pdf)$/i,
        done: function (e, data) {
            $('#progress').hide();
            if (data.result.success) {
                $.each(data.result.files, function (index, file) {
                    var content = file.name + ' <a href="javascript:void(0)" class="removeDok" versi="' + file.versi + '"><i class="fa fa-trash-o" ></i></a>';
                    $('<li/>').html(content).appendTo('#files');
                });
                $('#alert-upload').hide();
            } else {
                $('#alert-upload').attr('class', 'alert alert-danger').html(data.result.message).show();
            }
        },
        progressall: function (e, data) {
            var progress = parseInt(data.loaded / data.total * 100, 10);
            $('#progress').show();
            $('#progress .progress-bar').css(
                    'width',
                    progress + '%'
            );
        }
    }).on('fileuploadprocessalways', function (e, data) {
        var file = data.files[data.index];
        if (data.files.error && file.error) {
            var msg = file.name+' - '+file.error
            $('#alert-upload').attr('class', 'alert alert-danger').html(msg)
        }
    }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
});

$(document).on('click', '.removeDok', function(){
    var versi = $(this).attr('versi')
    var parent = $(this).parent()
    var source  = #{jsRoute @kontrak.SskkPlCtr.hapusSskkAttachment(pl?.lls_id) /};
    $.ajax({
        type: 'POST',
        url: source.url(),
        data : {'versi': versi},
        success : function(){
            $('#alert-upload').attr('class', 'alert alert-success').html('File telah terhapus');
            parent.remove()
        },
        error : function(){
            $('#alert-upload').attr('class', 'alert alert-danger').html('File tidak bisa dihapus');
        }
    })
});
</script>
#{/set}
